/*
 * Class ITERABLE [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_618 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_618 [] = {0xFF01,237,617,179,0xFFFF};
static const EIF_TYPE_INDEX egt_2_618 [] = {0xFF01,617,179,0xFFFF};
static const EIF_TYPE_INDEX egt_3_618 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_618 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_618 [] = {0xFF01,617,179,0xFFFF};
static const EIF_TYPE_INDEX egt_6_618 [] = {0xFF01,617,179,0xFFFF};
static const EIF_TYPE_INDEX egt_7_618 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_618 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_618 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_618 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_618 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_618 [] = {617,179,0xFFFF};
static const EIF_TYPE_INDEX egt_13_618 [] = {0xFF01,617,179,0xFFFF};
static const EIF_TYPE_INDEX egt_14_618 [] = {0xFF01,618,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_618 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_618[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_618), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_618), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_618), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_618), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_618), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_618), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_618), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_618), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_618), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_618), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_618), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_618), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_618), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_618), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_618), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_618), -1, 0xFFFFFFFF},
};
void Init618(void)
{
	IDSC(desc_618, 0, 617);
	IDSC(desc_618 + 1, 1, 617);
	IDSC(desc_618 + 32, 99, 617);
}


#ifdef __cplusplus
}
#endif
